## Insert Vectors `client.Vectorize.Indexes.Insert(ctx, indexName, params) (*IndexInsertResponse, error)` **post** `/accounts/{account_id}/vectorize/v2/indexes/{index_name}/insert` Inserts vectors into the specified index and returns a mutation id corresponding to the vectors enqueued for insertion. ### Parameters - `indexName string` - `params IndexInsertParams` - `AccountID param.Field[string]` Path param: Identifier - `Body param.Field[Reader]` Body param: ndjson file containing vectors to insert. - `UnparsableBehavior param.Field[IndexInsertParamsUnparsableBehavior]` Query param: Behavior for ndjson parse failures. - `const IndexInsertParamsUnparsableBehaviorError IndexInsertParamsUnparsableBehavior = "error"` - `const IndexInsertParamsUnparsableBehaviorDiscard IndexInsertParamsUnparsableBehavior = "discard"` ### Returns - `type IndexInsertResponse struct{…}` - `MutationID string` The unique identifier for the async mutation operation containing the changeset. ### Example ```go package main import ( "bytes" "context" "fmt" "io" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/option" "github.com/cloudflare/cloudflare-go/vectorize" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) response, err := client.Vectorize.Indexes.Insert( context.TODO(), "example-index", vectorize.IndexInsertParams{ AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), Body: io.Reader(bytes.NewBuffer([]byte("Example data"))), }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", response.MutationID) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "mutationId": "0000aaaa-11bb-22cc-33dd-444444eeeeee" }, "success": true } ```